Bug 1124606

Summary: [abrt] pyobd: _controls.py:2409:__init__:TypeError: String or Unicode type required
Product: [Fedora] Fedora Reporter: James W. Williams <nasabear>
Component: pyobdAssignee: Jaroslav Škarvada <jskarvad>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: jskarvad
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/497198583d84967d0990f71c3cd52c7bec74368d
Whiteboard: abrt_hash:362750ef66e2b0171246942757e184aff5d2a19d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:50:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: environ none

Description James W. Williams 2014-07-29 22:04:25 UTC
Description of problem:
Downloaded pyobd to use with a USB to OBD-II automotive diagnostic interface cable.  Menu item "Configure" does not pull up configuration window. 

[jww@dell600m ~]$ pyobd &
[1] 3756
[jww@dell600m ~]$ 
(python:3756): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

(python:3756): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed
Traceback (most recent call last):
  File "/usr/bin/pyobd", line 657, in Configure
    majorDimension = 2)
  File "/usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2409, in __init__
    _controls_.RadioBox_swiginit(self,_controls_.new_RadioBox(*args, **kwargs))
TypeError: String or Unicode type required

(python:3756): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

Version-Release number of selected component:
pyobd-0.9.2.2-3.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/bin/pyobd
dso_list:       wxPython-2.8.12.0-5.fc20.i686
executable:     /usr/bin/pyobd
kernel:         3.14.8-200.fc20.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
_controls.py:2409:__init__:TypeError: String or Unicode type required

Traceback (most recent call last):
  File "/usr/bin/pyobd", line 657, in Configure
    majorDimension = 2)
  File "/usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2409, in __init__
    _controls_.RadioBox_swiginit(self,_controls_.new_RadioBox(*args, **kwargs))
TypeError: String or Unicode type required

Local variables in innermost frame:
self: <wx._controls.RadioBox;  >
args: (<wx._windows.Dialog; proxy of <Swig Object of type 'wxDialog *' at 0xa84b160> >, 0, 'Choose Serial Port')
kwargs: {'style': 4, 'majorDimension': 2, 'choices': ['/dev/ttyS0', '/dev/ttyS1', (0, '/dev/ttyUSB0')]}

Comment 1 James W. Williams 2014-07-29 22:04:30 UTC
Created attachment 922361 [details]
File: backtrace

Comment 2 James W. Williams 2014-07-29 22:04:30 UTC
Created attachment 922362 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:30:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:50:38 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.